package com.huimv.production.controller;


import com.huimv.production.domain.IndexProductionGroup2;
import com.huimv.production.result.Result;
import com.huimv.production.service.IndexProductionGroup2Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@CrossOrigin
@RequestMapping("/IndexProductionGroup2")
public class IndexProductionGroup2Controller {

	@Autowired
	private IndexProductionGroup2Service service;

	@RequestMapping("/add")
	public Result add(IndexProductionGroup2 entity){ return service.add(entity); }

	@RequestMapping("/remove")
	public Result remove(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(IndexProductionGroup2 entity){ return service.update(entity); }

	@RequestMapping("/findAllById")
	public Result findAllById(Integer id){ return service.findAllById(id); }


	@RequestMapping("/findAll")
	public Result findAll(String name , Integer pageNum , Integer pageSize){
		return service.findAll(name,pageNum,pageSize);
	}

}
